#
# spec file for package ax25-tools
#
# Copyright (c) 2021 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define src_ver 0.0.10-rc5
Name:           ax25-tools
Version:        0.0.10rc5
Release:        2.1
Summary:        AX.25 tools
License:        GPL-2.0-or-later
URL:            https://linux-ax25.in-berlin.de/
Source:         https://linux-ax25.in-berlin.de/pub/ax25-tools/%{name}-%{src_ver}.tar.xz
BuildRequires:  fdupes
BuildRequires:  libax25-devel
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(zlib)

%description
These are the support utilities required to make use of the internal
AX.25, NET/ROM and Rose support in the linux kernel. The ax25tools are
mostly configuration utilities, applications can be found in the
package ax25apps.

%prep
%autosetup -p1 -n %{name}-%{src_ver}

%build
%configure \
  --localstatedir=%{_localstatedir}/lib
%make_build

%install
%make_install installconf
rm -rf %{buildroot}%{_datadir}/doc/ax25-tools
rm -rf %{buildroot}%{_localstatedir}/lib/ax25/mheard/mheard.dat
%fdupes %{buildroot}%{_mandir}

%check
%make_build check

%files
%license COPYING
%doc AUTHORS ChangeLog README yamdrv/README.yamdrv
%doc dmascc/README.dmascc user_call/README.user_call tcpip/ttylinkd.INSTALL
%doc tcpip/ttylinkd.README
%dir %{_sysconfdir}/ax25
%dir %{_localstatedir}/lib/ax25
%dir %{_localstatedir}/lib/ax25/mheard
%config(noreplace) %{_sysconfdir}/ax25/ax25.profile
%config(noreplace) %{_sysconfdir}/ax25/ax25d.conf
%config(noreplace) %{_sysconfdir}/ax25/axspawn.conf
%config(noreplace) %{_sysconfdir}/ax25/nrbroadcast
%config(noreplace) %{_sysconfdir}/ax25/rip98d.conf
%config(noreplace) %{_sysconfdir}/ax25/rxecho.conf
%config(noreplace) %{_sysconfdir}/ax25/ttylinkd.conf
%{_bindir}/*
%{_sbindir}/*
%{_mandir}/man1/*.1%{?ext_man}
%{_mandir}/man4/*.4%{?ext_man}
%{_mandir}/man5/*.5%{?ext_man}
%{_mandir}/man8/*.8%{?ext_man}
%{_mandir}/man9/*.9%{?ext_man}

%changelog
* Sun Feb 16 2025 Andreas Stieger <andreas.stieger@gmx.de>
- refresh upstream, drop autotools, ncurses
- license is GPL-2.0-or-later
* Thu Jun  3 2021 Ferdinand Thiessen <rpm@fthiessen.de>
- Update to version 0.0.10-rc5
  * No upstream changelog provided
* Sun Jun  7 2020 Martin Hauke <mardnh@gmx.de>
- Set CFLAGS+=-fcommon
* Thu Oct 17 2019 Richard Brown <rbrown@suse.com>
- Remove obsolete Groups tag (fate#326485)
* Fri May  5 2017 mpluskal@suse.com
- Cleanup spec file with spec-cleaner
* Mon Feb  6 2017 dl8fcl@darc.de
- update to version 0.0.10rc4_87
* Mon Oct 12 2015 dl8fcl@darc.de
- update to version 0.0.10rc4_59
  Remove all references to axassociate and axsetcall
* Mon Jul 13 2015 dl8fcl@darc.de
- update to version 0.0.10rc4_57
  clean up of spec file
  changelog in separated file
* Thu Jun  7 2012 dl8fcl@darc.de
- BuildRequires fixed for 12.2
* Mon Mar 22 2010 dg7gt@gmx.de
- Patch for rc2 to avoid login problems using axspawn
* Fri Oct 30 2009 dg7gt@gmx.de
- Update to 0.0.10rc2 (only 11.2. 11.0 and 11.1 stay unchanged due to build errors)
* Fri Apr 10 2009 dg7gt@online.de
- Update to current CVS with some bug fixes
* Sun Feb  8 2009 dg7gt@online.de
- Updated to newest CVS version including Unix98-PTY-Support for mkiss
* Wed Oct 22 2008 dl9pf@gmx.de
- fix for factory
- ax25-tools_ax25_axspawn.c__fix-bufferoverflow.diff
- ax25-tools_rose_rsdwnlink.c__fix-destbufferoverflow.diff
- ax25-tools_rose_rsuplnk.c__fix-destbufferoverflow.diff
- ax25-tools_kiss_mkiss.c__fix-include.diff
* Wed Oct 22 2008 dg7gt@online.de
- added patches from Bernard Pidoux, F6BVP for Unix98-PTYs
- hack specifically for OpenSUSE ... nothing official released
* Sun Dec 10 2006 dg7gt@online.de
- update to CVS version which is compatible with Kernel 2.6
- added an ugly HZ patch in dmascc/dmascc_cfg.c to make it compile under 2.6.18
- added m6pack and m6pack.8.gz to the file list
* Thu Sep 30 2004 jreuter@suse.de
- setting signal handler for SIGCHLD to avoid /bin/login
  looping. (#46558)
- adding perform tx packet fragmentation as kernel AX.25
  of kernel 2.6.x dropped auto-fragmentation. (#46558)
* Sat Apr 10 2004 aj@suse.de
- Remove kernel-source dependency.
* Sat Jan 10 2004 adrian@suse.de
- add %%%%defattr
* Tue Jun 17 2003 ro@suse.de
- use buildroot
- fix filelist / remove unpackaged files
* Tue Feb  4 2003 ro@suse.de
- /var/ax25 -> /var/lib/ax25
* Thu Dec  5 2002 jreuter@suse.de
- renamed package to ax25-tools
- bzip2-compressed source
* Mon Feb 11 2002 jreuter@suse.de
- upgrade to version 0.0.8: numerous bug fixes
* Tue Jan 15 2002 ro@suse.de
- use kernel-source in neededforbuild (lx_sus22 is dropped)
* Fri Mar  2 2001 ro@suse.de
- use doc macro
- dmascc is not built (not in 2.4 sources)
- fix to compile (sockaddr/osockaddr)
* Thu Nov 30 2000 jreuter@suse.de
- changed group to Applications/Hamradio
* Tue Nov 21 2000 ro@suse.de
- use 2.2 kernel to compile
* Wed Nov  8 2000 sim@suse.de
- changed group to Applications/Communications
* Fri Jun 23 2000 sim@suse.de
- in ax25/bpqparms.c changed #include <linux/timer.h> to <sys/time.h>
* Sun Jun 18 2000 ro@suse.de
- added suse_update_config
* Tue Jun  6 2000 ka@suse.de
- update to version 0.0.6
- fixed entries in file list %%%%{_defaultdocdir}
- added/fixed several spec file entries (Copyright, Group, URL)
- used more macros in spec file
- removed setcrystal from file list and added sethdlc and smmixer
- added several READMEs to doc file list
- do not overwrite config file during update (%%%%config(noreplace))
* Fri Jun  2 2000 bubnikv@suse.cz
- added README.yamdrv to filelist
* Thu May 25 2000 ro@suse.de
- move docs to /usr/share/doc
* Wed Feb  9 2000 sim@suse.de
- fix for ppc (don't compile setcrystal)
* Wed Feb  2 2000 kukuk@suse.de
- fix for SPARC (don't compile setcrystal)
* Fri Jan 21 2000 ro@suse.de
- fixed to compile, man to /usr/man using macro
* Fri Oct 22 1999 ka@suse.de
- added "make installconf" to specfile
- created directory /var/ax25/mheard during install
- added missing values to configure call
- added nrparms patch from Tomi, OH2BNS
* Thu Sep 16 1999 ka@suse.de
- update to version 0.0.5
* Mon Sep 13 1999 bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Thu Aug 12 1999 ka@suse.de
- more detailed configure call
* Tue Jul 13 1999 ka@suse.de
- update to version 0.0.3
* Tue Jul  6 1999 ka@suse.de
- changed spec file to build on alpha
* Wed Jun 23 1999 ro@suse.de
- added libax25 to neededforbuild
* Fri Jun 11 1999 ka@suse.de
- initial release of new sources for kernel 2.2.x
- original package ax25util was divided into ax25apps and ax25tool
* Wed May 19 1999 ro@suse.de
- re-added patch to apps/call.c
* Tue May 18 1999 ka@suse.de
- added patch for procutils.c
* Tue May  4 1999 ro@suse.de
- rebuilt diff
- patched to build with glibc-2.1 and on alpha
- rspfd can't work on alpha yet due to inline asm
* Mon Mar 15 1999 ro@suse.de
- renamed subpackage to ax25dev
* Fri Mar 12 1999 ka@suse.de
- added sample configuration files to /etc/ax25/
* Thu Mar 11 1999 ka@suse.de
- initial release
